%define name	pptp-linux
%define version	1.10.0
%define release %mkrel 2

Summary:	PPTP-linux VPN client 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other
Source0:	https://sourceforge.net/projects/pptpclient/files/pptp/pptp-%{version}.tar.xz
URL:		http://pptpclient.sourceforge.net/

Source1: 	pptp-command
Source2: 	options.pptp
Source3: 	pptp_fe.pl
Source4: 	xpptp_fe.pl
Source5:	pptp.initd

Requires:	ppp
Requires(pre):	chkconfig rpm-helper
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Conflicts:	pptp-adsl-alcatel
Obsoletes:	pptp-client
Provides:	pptp-client

%description
PPTP-linux allows you to connect to a PPTP server from a Linux or other
Unix box (ports of pptp-linuxto other Unix variants should be trivial,
but have not yet been performed). See the IPfwd page
(http://www.pdos.lcs.mit.edu/~cananian/Projects/IPfwd) for information
on tunnelling PPTP through Linux firewalls.

%prep
%setup -q -n pptp-%{version}
%apply_patches

# adjust ip path
sed -i 's#/bin/ip#/sbin/ip#' routing.c Makefile

%build
%make OPTIMIZE="$RPM_OPT_FLAGS" DEBUG=""

%install
rm -rf $RPM_BUILD_ROOT

install -m755 pptp -D $RPM_BUILD_ROOT%{_sbindir}/pptp
install -m755 %{SOURCE1} -D $RPM_BUILD_ROOT%{_sbindir}/pptp-command
install -d $RPM_BUILD_ROOT%{_sysconfdir}/pptp.d
install -m644 %{SOURCE2} -D $RPM_BUILD_ROOT%{_sysconfdir}/ppp/options.pptp
install -m644 pptp.8 -D $RPM_BUILD_ROOT%{_mandir}/man8/pptp.8
#install -d $RPM_BUILD_ROOT%{_initrddir}
#install -m755 %{SOURCE5} -D $RPM_BUILD_ROOT%{_initrddir}/pptp

%clean
rm -rf $RPM_BUILD_ROOT

%posttrans
rm -f /etc/rc.d/rc*.d/K*pptp
rm -f /etc/rc.d/rc*.d/S*pptp

%files
%defattr (-,root,root)
%doc AUTHORS NEWS README TODO USING Documentation/[D,P]*
%{_sbindir}/*
#%{_initrddir}/pptp
%{_mandir}/man8/pptp.8*
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/ppp/options.pptp
%attr(0755,root,root) %dir %{_sysconfdir}/pptp.d

%changelog
* Wed Nov 03 2021 tex - 1.10.0-2pclos2021
- remove pptp init script per yodelu

* Tue Nov 02 2021 yodelu 1.10.0-1pclos2021
- update to 1.10.0
- avoid prcsys to start the service in compat-mode (remove loops with network-up) 

* Thu Feb 25 2010 slick50 <lxgator@gmail.com> 1.7.2-1pclos2010
- 1.7.2

* Tue Nov 07 2006 Neverstopdreaming <neverstopdreaming@gmail.com> 1.7.1-2pclos2007
- Build for PCLinuxOS 2007

